### Method

# WebKit2 AuthenticationRequest get_proposed_credential

#### Declaration [src]

    WebKitCredential*
    webkit_authentication_request_get_proposed_credential (
      WebKitAuthenticationRequest* request
    )

#### Description [src]

Get the `WebKitCredential` of the proposed authentication challenge.

Get the `WebKitCredential` of the proposed authentication challenge that was stored from a previous session. The client can use this directly for authentication or construct their own `WebKitCredential`.

Available since: | 2.2

#### Return value

Returns: | `WebKitCredential`
| A `WebKitCredential` encapsulating credential details or `NULL` if there is no stored credential.
| The caller of the method takes ownership of the data, and is responsible for freeing it.